API partner login

Sign in to your BILL partner account. In the response, your partner API session is created and a BILL-generated sessionId is available. Use the sessionId in all subsequent API calls to confirm that you are in a signed-in session.

You get additional permissions with a partner account sessionId.

  • Create a child BILL organization with POST /v3/partner/organizations.
  • Create a user for the child BILL organization with POST /v3/partner/users.
  • Sign in to the created organization as the created user of that organization with /v3/partner/login-as-user. After signing in, you can perform organization-level BILL API operations, such as creating a bill or paying a vendor. All organization-level BILL API operations require a devKey and sessionId.

Note: When you create an organization and then create a user for that organization, it is important that you initiate risk verification with POST /v3/risk-verifications. See Initiate risk verification for an organization for more information.

You can sign out with POST /v3/logout. If your API session is inactive for 35 minutes, the session expires and you are automatically signed out.

Body Params
string
required

Application key sent to you by BILL when you create a partner account

string
required

Email address used to sign in to your BILL account

string
required

Password used to sign in to your BILL account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json